rsh
===

This module installs, configures, and manages RSH clients, servers, and
.rhosts/hosts.equiv files. It provides three classes and one defined type.

```puppet
include rsh
```

includes both `rsh::clients` and `rsh::servers`, the latter of which by default
enables `rshd` only (to additionally enable `rlogind` or `rexecd`, see the
class parameters). To manage `/etc/hosts.equiv`, provide an array of lines to
`rsh::servers::hosts_equiv`.

The defined type, `rsh::rhosts`, manages an individual user's `.rhosts` file,
which is required, for example, to enable RSH by `root`, which ignores
`/etc/hosts.equiv`.  Because making a `root` `.rhosts` effective also requires
adding a line to `/etc/securetty`, if `rsh::rhosts`` is used for `root`,
`rsh::rhosts` will also manage the addition of that line.
